For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETGet class ability tree
      • GETGet class ability tree map
      • GETList aspects for a class
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesAbility & Aspect

Get class ability tree map

GET
https://api.wynncraft.com/v3/ability/map/:tree
GET
/v3/ability/map/:tree
$curl https://api.wynncraft.com/v3/ability/map/archer
1{
2 "1": [
3 {
4 "type": "ability",
5 "coordinates": {
6 "x": 5,
7 "y": 1
8 },
9 "meta": {
10 "page": 1,
11 "icon": {
12 "value": {
13 "id": "minecraft:potion",
14 "name": "abilityTree.exampleStarter",
15 "customModelData": {
16 "rangeDispatch": [
17 178
18 ]
19 }
20 },
21 "format": "attribute"
22 },
23 "id": "exampleStarter"
24 },
25 "family": [
26 "exampleStarter"
27 ]
28 },
29 {
30 "type": "connector",
31 "coordinates": {
32 "x": 5,
33 "y": 2
34 },
35 "meta": {
36 "page": 1,
37 "icon": "connector_up_down"
38 },
39 "family": [
40 "exampleStarter",
41 "exampleMiddle"
42 ]
43 },
44 {
45 "type": "ability",
46 "coordinates": {
47 "x": 5,
48 "y": 3
49 },
50 "meta": {
51 "page": 1,
52 "icon": {
53 "value": {
54 "id": "minecraft:potion",
55 "name": "abilityTree.exampleMiddle",
56 "customModelData": {
57 "rangeDispatch": [
58 162
59 ]
60 }
61 },
62 "format": "attribute"
63 },
64 "id": "exampleMiddle"
65 },
66 "family": [
67 "exampleMiddle"
68 ]
69 },
70 {
71 "type": "connector",
72 "coordinates": {
73 "x": 5,
74 "y": 4
75 },
76 "meta": {
77 "page": 1,
78 "icon": "connector_up_down"
79 },
80 "family": [
81 "exampleMiddle",
82 "exampleFinisher"
83 ]
84 },
85 {
86 "type": "ability",
87 "coordinates": {
88 "x": 5,
89 "y": 5
90 },
91 "meta": {
92 "page": 1,
93 "icon": {
94 "value": {
95 "id": "minecraft:potion",
96 "name": "abilityTree.exampleFinisher",
97 "customModelData": {
98 "rangeDispatch": [
99 166
100 ]
101 }
102 },
103 "format": "attribute"
104 },
105 "id": "exampleFinisher"
106 },
107 "family": [
108 "exampleFinisher"
109 ]
110 }
111 ]
112}
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Ability and aspect responses use the [API Markup parser](/welcome#api-markup-parser). Use these endpoints together to render a player ability tree like the in-game view: - [GET /ability/tree/{tree}](api:GET/ability/tree/{tree}) - [GET /ability/map/{tree}](api:GET/ability/map/{tree}) - [GET /player/{username}/characters/{uuid}/abilities](api:GET/player/{username}/characters/{uuid}/abilities) The map structure is shared with [GET /player/{username}/characters/{uuid}/abilities](api:GET/player/{username}/characters/{uuid}/abilities).
Was this page helpful?
Previous

Get class ability tree

Next

List aspects for a class

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Ability and aspect responses use the API Markup parser.

Use these endpoints together to render a player ability tree like the in-game view:

  • GET /ability/tree/{tree}
  • GET /ability/map/{tree}
  • GET /player/{username}/characters/{uuid}/abilities

The map structure is shared with GET /player/{username}/characters/{uuid}/abilities.

Path parameters

treeenumRequired
Allowed values:

Response

Ability nodes grouped by page.
typeenum
Allowed values:
coordinatesobject
metaobject
familylist of strings

Errors

400
Bad Request Error